'use strict';

const common = require('../common');

module.exports = {
  name: 'show databases',
  description: 'Show the list of databases.',
  before: common.validateConnection,
  action: function(args, cb) {
    this.parent.listDatabases().then(response => {
      this.log('\n', common.printTable(response.raw), '\n');
      cb(null, response.list);
    }).catch(cb);
  }
};
