'use strict';

const inquirer = require('inquirer');

module.exports = [
  {
    name: 'TINYINT()',
    value: 'TINYINT',
    size: true
  }, {
    name: 'SMALLINT()',
    value: 'SMALLINT',
    size: true
  }, {
    name: 'MEDIUMINT()',
    value: 'MEDIUMINT',
    size: true
  }, {
    name: 'BIGINT()',
    value: 'BIGINT',
    size: true
  }, {
    name: 'INT',
    value: 'INT',
    size: false
  }, {
    name: 'DOUBLE',
    value: 'DOUBLE',
    size: false
  }, {
    name: 'FLOAT',
    value: 'FLOAT',
    size: false
  }, {
    name: 'REAL',
    value: 'REAL',
    size: false
  }, {
    name: 'DECIMAL()',
    value: 'DECIMAL',
    size: true
  },

  new inquirer.Separator(), {
    name: 'TEXT()',
    value: 'TEXT',
    size: true
  }, {
    name: 'CHAR()',
    value: 'CHAR',
    size: true
  }, {
    name: 'VARCHAR()',
    value: 'VARCHAR',
    size: true
  }, {
    name: 'TINYTEXT',
    value: 'TINYTEXT',
    size: false
  }, {
    name: 'MEDIUMTEXT',
    value: 'MEDIUMTEXT',
    size: false
  }, {
    name: 'LONGTEXT',
    value: 'LONGTEXT',
    size: false
  },

  new inquirer.Separator(), {
    name: 'DATE',
    value: 'DATE',
    size: false
  }, {
    name: 'DATETIME',
    value: 'DATETIME',
    size: false
  }, {
    name: 'TIME()',
    value: 'TIME()',
    size: true
  }, {
    name: 'TIMESTAMP()',
    value: 'TIMESTAMP',
    size: true
  }, {
    name: 'YEAR()',
    value: 'YEAR',
    size: true
  },

  new inquirer.Separator(), {
    name: 'BINARY()',
    value: 'BINARY',
    size: true
  }, {
    name: 'VARBINARY()',
    value: 'VARBINARY',
    size: true
  }, {
    name: 'BLOB',
    value: 'BLOB',
    size: false
  }, {
    name: 'TINYBLOB',
    value: 'TINYBLOB',
    size: false
  }, {
    name: 'MEDIUMBLOB',
    value: 'MEDIUMBLOB',
    size: false
  }, {
    name: 'LONGBLOB',
    value: 'LONGBLOB',
    size: false
  }, {
    name: 'JSON',
    value: 'JSON',
    size: false
  }
];
